/// <reference types="react" />
import { Action, Dispatch, Store } from 'redux';
/**
 * To use redux-react-hook with stronger type safety, or to use with multiple
 * stores in the same app, create() your own instance and re-export the returned
 * functions.
 */
export declare function create<TState, TAction extends Action, TStore extends Store<TState, TAction>>(): {
    StoreContext: React.Context<TStore | null>;
    useMappedState: <TResult>(mapState: (state: TState) => TResult) => TResult;
    useDispatch: () => Dispatch<TAction>;
};
